Summary:        Image loading, saving, rendering, and manipulation library
Name:           imlib2
Version:        1.11.1
Release:        1%{?dist}
License:        Imlib2
URL:            http://docs.enlightenment.org/api/imlib2/html/
Source0:        http://downloads.sourceforge.net/enlightenment/%{name}-%{version}.tar.xz

BuildRequires:  doxygen, giflib-devel, freetype-devel >= 2.1.9-4
BuildRequires:  libtool, bzip2-devel, libid3tag-devel
BuildRequires:  libheif-devel, libjxl-devel, libjpeg-devel
BuildRequires:  libpng-devel, libtiff-devel, librsvg2-devel
BuildRequires:  libspectre-devel, libX11-devel, libXext-devel
BuildRequires:  libwebp-devel, openjpeg2-devel, pkgconfig
BuildRequires:  make

%description
Imlib 2 is a library that does image file loading and saving as well
as rendering, manipulation, arbitrary polygon support, etc.  It does
ALL of these operations FAST. Imlib2 also tries to be highly
intelligent about doing them, so writing naive programs can be done
easily, without sacrificing speed.  This is a complete rewrite over
the Imlib 1.x series. The architecture is more modular, simple, and
flexible.


%package devel
Summary:        Development package for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       libX11-devel
Requires:       libXext-devel
Requires:       freetype-devel >= 2.1.9-4


%description devel
This package contains development files for %{name}.

Imlib 2 is a library that does image file loading and saving as well
as rendering, manipulation, arbitrary polygon support, etc.  It does
ALL of these operations FAST. Imlib2 also tries to be highly
intelligent about doing them, so writing naive programs can be done
easily, without sacrificing speed.  This is a complete rewrite over
the Imlib 1.x series. The architecture is more modular, simple, and
flexible.


%package id3tag-loader
Summary:        Imlib2 id3tag-loader
License:        GPLv2+
Requires:       %{name} = %{version}-%{release}

%description id3tag-loader
This package contains a plugin which makes imlib2 capable of parsing id3 tags
of mp3 files. This plugin is packaged separately because it links with
libid3tag which is GPLv2+, thus making imlib2 and apps using it subject to the
conditions of the GPL version 2 (or at your option) any later version.

%prep
%autosetup -p1

%build
asmopts="--disable-mmx --disable-amd64"
%ifarch x86_64
asmopts="--disable-mmx --enable-amd64"
%endif

autoreconf -ifv

export x_libs=" "
%configure \
 --disable-static \
 --enable-doc-build \
 --with-pic \
 $asmopts
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%{make_build}


%install
%{make_install}

rm $RPM_BUILD_ROOT%{_bindir}/imlib2_*
rm -rf $RPM_BUILD_ROOT%{_datadir}/imlib2/

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f \{\} \;

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING
%doc AUTHORS README TODO
%{_libdir}/libImlib2.so.*
%{_libdir}/imlib2/
%exclude %{_libdir}/imlib2/loaders/id3.*

%files devel
%doc doc/html
%{_includedir}/Imlib2*.h
%{_libdir}/libImlib2.so
%{_libdir}/pkgconfig/imlib2.pc

%files id3tag-loader
%{_libdir}/imlib2/loaders/id3.*


%changelog
* Mon Nov 27 2023 Chair <chairou@tencent.com> - 1.11.1-1
- Init
